Skip to content

TOP

  • Facebook
  • Instagram
  • X (Twitter)
  • Pinterest

Japanese vintage/used vinyl records and CDs for sale online

  • Home
  • About Us
    • About Us
    • Staff
    • Feedback
    • Contact Us
  • Blog
    • New Arrivals
    • Database
    • Reviews
      • HM/HR
      • Japanese Metal
  • All Products
  • Genres
  • Vinyl Records
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy Song
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • Electone
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin Music
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Karaoke
      • Spoken World
      • Sports
  • CD
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Spoken World
      • Sports
  • Books
  • Accessories
  • Big Discount Sale
    • 10% off
    • 30% off
    • 50% off
    • 70% off
    • 90% off
  • X (Twitter)
  • Facebook
  • Pinterest
  • Instagram
Snow Records Japan
  • Home
  • About Us
    • About Us
    • Staff
    • Feedback
    • Contact Us
  • Blog
    • New Arrivals
    • Database
    • Reviews
      • HM/HR
      • Japanese Metal
  • All Products
  • Genres
  • Vinyl Records
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy Song
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • Electone
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin Music
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Karaoke
      • Spoken World
      • Sports
  • CD
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Spoken World
      • Sports
  • Books
  • Accessories
  • Big Discount Sale
    • 10% off
    • 30% off
    • 50% off
    • 70% off
    • 90% off
Log in Cart

Item added to your cart

View cart

We're shipping tons of Vinyls and CDs to worldwide from Japan every week since 2003. Please buy with confidence.

Search results

  • RVC-7527 front cover

    SHAW, ROBERT - die lorelei / your favorite songs of the world - RVC-7527

    Sale

    SHAW, ROBERT - die lorelei / your favorite songs of the world - RVC-7527

    Vendor:
    16-24-1120-014
    Regular price ¥495 JPY
    Regular price ¥990 JPY Sale price ¥495 JPY
    Sale
  • RVL-5020 front cover

    V/A - kekkonsiki no tameno ongaku 20 - RVL-5020

    Sale

    V/A - kekkonsiki no tameno ongaku 20 - RVL-5020

    Vendor:
    274-25-0617-155
    Regular price ¥770 JPY
    Regular price ¥1,100 JPY Sale price ¥770 JPY
    Sale
  • RFC-0712 front cover

    V/A - call of the far-away hills and other movie themes - RFC-0712

    Sale

    V/A - call of the far-away hills and other movie themes - RFC-0712

    Vendor:
    179-24-0718-044
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RVP-6368 front cover

    COMO, PERRY - the song i love - RVP-6368

    Sale

    COMO, PERRY - the song i love - RVP-6368

    Vendor:
    51-25-0207-075
    Regular price ¥330 JPY
    Regular price ¥660 JPY Sale price ¥330 JPY
    Sale
  • RVC-2011 front cover

    HEIFETZ, JASCHA - heifetz encores - RVC-2011

    Sale

    HEIFETZ, JASCHA - heifetz encores - RVC-2011

    Vendor:
    124-24-1004-034
    Regular price ¥440 JPY
    Regular price ¥880 JPY Sale price ¥440 JPY
    Sale
  • RVC-1034 front cover

    ORCHESTRA GRACE NOTES - my favorite serenades - RVC-1034

    ORCHESTRA GRACE NOTES - my favorite serenades - RVC-1034

    Vendor:
    26-0901-082
    Regular price ¥550 JPY
    Regular price ¥550 JPY Sale price ¥550 JPY
  • RVC-2334 front cover

    WHITE, ROBERT - danny boy and other irish ballads - RVC-2334

    Sale

    WHITE, ROBERT - danny boy and other irish ballads - RVC-2334

    Vendor:
    196-24-0502-136
    Regular price ¥198 JPY
    Regular price ¥660 JPY Sale price ¥198 JPY
    Sale
  • RVC-2111 front cover

    TOMITA, ISAO - the tomita planets - RVC-2111

    Sale

    TOMITA, ISAO - the tomita planets - RVC-2111

    Vendor:
    18-24-1106-042
    Regular price ¥330 JPY
    Regular price ¥660 JPY Sale price ¥330 JPY
    Sale
  • RVC-2302 front cover

    LEVINE, JAMES - mahler; symphony no.9 - RVC-2302

    Sale

    LEVINE, JAMES - mahler; symphony no.9 - RVC-2302

    Vendor:
    303-25-1007-010
    Regular price ¥792 JPY
    Regular price ¥880 JPY Sale price ¥792 JPY
    Sale
  • RVC-1581(M) front cover

    PADEREWSKI, IGNACY JAN - plays chopin - RVC-1581(M)

    PADEREWSKI, IGNACY JAN - plays chopin - RVC-1581(M)

    Vendor:
    26-0417-027
    Regular price ¥1,320 JPY
    Regular price ¥1,320 JPY Sale price ¥1,320 JPY
  • RVC-2160 front cover

    SANTI, NELLO - montemezzi; l'amore dei tre re - RVC-2160

    SANTI, NELLO - montemezzi; l'amore dei tre re - RVC-2160

    Vendor:
    26-0421-012
    Regular price ¥1,430 JPY
    Regular price ¥1,430 JPY Sale price ¥1,430 JPY
  • RFC-0720 front cover

    V/A - das gibt's nur einmal - RFC-0720

    Sale

    V/A - das gibt's nur einmal - RFC-0720

    Vendor:
    328-24-0603-111
    Regular price ¥198 JPY
    Regular price ¥660 JPY Sale price ¥198 JPY
    Sale
  • VFC-5506 front cover

    SUZUKI, SHOJI - suzukake no michi - VFC-5506

    SUZUKI, SHOJI - suzukake no michi - VFC-5506

    Vendor:
    26-0327-084
    Regular price ¥1,320 JPY
    Regular price ¥1,320 JPY Sale price ¥1,320 JPY
  • RFC-0705 front cover

    V/A - to love again and other movie themes - RFC-0705

    Sale

    V/A - to love again and other movie themes - RFC-0705

    Vendor:
    98-24-0701-112
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RVC-2286 front cover

    GALWAY, JAMES - japanese melodies - RVC-2286

    GALWAY, JAMES - japanese melodies - RVC-2286

    Vendor:
    74-26-0203-053
    Regular price ¥880 JPY
    Regular price ¥880 JPY Sale price ¥880 JPY
  • RPL-8196 front cover

    TRASH - watch out - RPL-8196

    Sale

    TRASH - watch out - RPL-8196

    Vendor:
    464-25-1017-005
    Regular price ¥1,980 JPY
    Regular price ¥2,200 JPY Sale price ¥1,980 JPY
    Sale
  • RVC-1036 front cover

    ORCHESTRA GRACE NORTS - sanbikino kobuta - tanoshii doubutsu tachino ongakukai - RVC-1036

    ORCHESTRA GRACE NORTS - sanbikino kobuta - tanoshii doubutsu tachino ongakukai - RVC-1036

    Vendor:
    26-0901-081
    Regular price ¥550 JPY
    Regular price ¥550 JPY Sale price ¥550 JPY
  • RMTS-27 front cover

    WILLIS, BRUCE - young blood - RMTS-27

    Sale

    WILLIS, BRUCE - young blood - RMTS-27

    Vendor:
    e166-25-1016-202
    Regular price ¥891 JPY
    Regular price ¥990 JPY Sale price ¥891 JPY
    Sale
  • RVC-2123 front cover

    CARUSO, ENRICO - a legendary performer - RVC-2123

    Sale

    CARUSO, ENRICO - a legendary performer - RVC-2123

    Vendor:
    59-24-0904-002
    Regular price ¥495 JPY
    Regular price ¥990 JPY Sale price ¥495 JPY
    Sale
  • RPL-8045 front cover

    WHITTAKER, ROGER - with love - RPL-8045

    Sale

    WHITTAKER, ROGER - with love - RPL-8045

    Vendor:
    69-24-0220-023
    Regular price ¥495 JPY
    Regular price ¥1,650 JPY Sale price ¥495 JPY
    Sale
  • RVC-2057 front cover

    ORMANDY, EUGENE - holst; the planets - RVC-2057

    ORMANDY, EUGENE - holst; the planets - RVC-2057

    Vendor:
    327-26-0121-094
    Regular price ¥550 JPY
    Regular price ¥550 JPY Sale price ¥550 JPY
  • RPL-2047 front cover

    REEVES, JIM - bimbo - RPL-2047

    Sale

    REEVES, JIM - bimbo - RPL-2047

    Vendor:
    40-24-0219-121
    Regular price ¥429 JPY
    Regular price ¥1,430 JPY Sale price ¥429 JPY
    Sale
  • RVC-2170 front cover

    TOMITA, ISAO - cosmos - RVC-2170

    Sale

    TOMITA, ISAO - cosmos - RVC-2170

    Vendor:
    289-25-0603-169
    Regular price ¥385 JPY
    Regular price ¥550 JPY Sale price ¥385 JPY
    Sale
  • RFC-0708 front cover

    V/A - romeo & juliet and other movie themes - RFC-0708

    Sale

    V/A - romeo & juliet and other movie themes - RFC-0708

    Vendor:
    180-24-0718-047
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • 1
  • 2
  • 3
  • 4
  • 5
  • …
  • 42

Recently viewed products

Quick links

  • Condition Guide
  • Shipping Policy
  • Return/Refund Policy
  • Privacy Policy
  • Terms of Service
  • Login
  • My Account
  • Search
  • Contact Us
  • 日本語サイト

Subscribe to our emails

  • Facebook
  • Instagram
  • X (Twitter)
  • Pinterest
Payment methods
  • American Express
  • Apple Pay
  • Google Pay
  • JCB
  • Mastercard
  • PayPal
  • Shop Pay
  • Visa
© 2026, Snow Records Japan Powered by Shopify
  • Refund policy
  • Privacy policy
  • Terms of service
  • Shipping policy
  • Legal notice
  • Contact information
  • Choosing a selection results in a full page refresh.
  • Opens in a new window.